<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1Socket.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::Socket&lt; T &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#aeaf47844015a506df5f7eba5ff50e57e">AbstractSocket</a>(const std::string &amp;name, const PropertyIndex &amp;connecteePathIndex, const SimTK::Stage &amp;connectAtStage, Component &amp;owner)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#afd80d0f355163910daea30d26a394430">appendConnecteePath</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#aa9f59a8fb706f130a3681271443db16e">checkConnecteePathProperty</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#ac86784a65efd79dc1aad7f759b2b8cd9">clearConnecteePath</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#aa7a4df9d9828850fe0d3cae7d7bb46dc">clone</a>() const override</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#ac39ea41b4c6cf47a69b9b1771dbe164f">Component</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#a5c3191db7766adfb42f7312c0d364ef4">connect</a>(const Object &amp;object) override</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#a9029eb41cd05fbbddae7259b464e008b">disconnect</a>() override</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#a78d4f73ee2cbba0e3052463d71017367">finalizeConnection</a>(const Component &amp;root) override</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#accb8a43c9bc42c12d37d80836ece8de4">findAndConnect</a>(const ComponentPath &amp;connectee) override</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#a2dccd9cd45ca0b08a4c13177dc5410bb">OpenSim::AbstractSocket::findAndConnect</a>(const std::string &amp;connectee)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#a881ce4fb9bf97d3b715100c8ce3b80b2">getConnectAtStage</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#aa5eba84c6d4b19217bfe2db20f895b47">getConnectee</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#a25c9aaf45468ad895c5b1bc8bc7c9246">getConnecteeAsObject</a>() const override</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#aaf113a0c1e31f3b28dc732928d684a06">getConnecteePath</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#a8cdf1ea4b8795edf8a8d1e0106707538">getConnecteePath</a>(unsigned ix) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#a7f2349616330e3e0a9c8cfe64678f05b">getConnecteePathProp</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#a4da865809554a425bbaa98f4a30a2dc0">getConnecteeTypeName</a>() const override</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#a5222469e0ef65d0dad0d7d0788a6c177">getName</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#a4fc29c560fa59cbb29da0cdf4cf01ffe">getNumConnectees</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#a8e98fd9f05712a934982f1ffba94ffe2">getOwner</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#ac6602ce7141eb4ee1e5f38daaaf8f000">hasOwner</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#a85d80ce024bb2ba53cc52019f91ca7bc">isConnected</a>() const override</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#a0dec27d1742c1e67753e673023299b03">isListSocket</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#a5627e06a72d104c5237265026d357442">OpenSim_DECLARE_SOCKET</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#ae0aaecaff02932014d2c20d287a5f49c">safeDownCast</a>(AbstractSocket *base)</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#af76f658a08e1f323665eee8e90d1a7a9">setConnecteePath</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#a7dd2d3233598f23465b4d6afbf19bd7a">setConnecteePath</a>(const std::string &amp;name, unsigned ix)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#a13597a0d17ba3b1362c476e4e2985b54">setOwner</a>(Component &amp;o)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#a78e253243a1eab086aba8591ec1f9bb6">SimTK_DOWNCAST</a>(Socket, AbstractSocket)</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#a904ec5f0a845926770538d90a17f4818">Socket</a>(const std::string &amp;name, const PropertyIndex &amp;connecteePathIndex, const SimTK::Stage &amp;connectAtStage, Component &amp;owner)</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#ad65c90d9c3fb2d88cc5fb698f0241a52">updConnecteePathProp</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html#a868b675e08eb429427ec1d0d95338ed8">~AbstractSocket</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractSocket.html">OpenSim::AbstractSocket</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html#a55336bf0a8b5e3b360eb49e58c0926c2">~Socket</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Socket.html">OpenSim::Socket&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:50 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
